Home | All Classes | Grouped Classes | Index | Search

# Class CL_RadioGroup

RadioGroup More...

Derived from: none
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_RadioGroup | RadioGroup Constructor

Attributes:

get_count | Returns the amount of buttons added to the group.
get_toggled | Returns the selected button if any, NULL otherwise.
get_buttons | Returns all buttons in the group.

Operations:

add | Adds a component into the group.
remove | Removes a component from the group.
set_checked | Sets a radiobutton active (and unchecks any other).

Signals:

sig_selection_changed | This signal is emitted when the radio selection is changed.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.